Skip to content

getReceiptLines

READ

Get receipt lines.

POST /api/v1/inventory/getReceiptLines
curl -X POST '<your-host>/api/v1/inventory/getReceiptLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "receiptId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "conversionFactor": 0,
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "id": "string",
      "itemId": "string",
      "itemReadableId": "string",
      "lineId": "string",
      "locationId": "string",
      "orderQuantity": 0,
      "outstandingQuantity": 0,
      "receiptId": "string",
      "receivedQuantity": 0,
      "requiresBatchTracking": true,
      "requiresSerialTracking": true,
      "storageUnitId": "string",
      "thumbnailPath": "string",
      "unitOfMeasure": "string",
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "receiptId": {
      "type": "string"
    }
  },
  "required": [
    "receiptId"
  ]
}